FoxPro/Visual FoxPro - Microsoft Visual FoxPro Library

   
Vista:

Microsoft Visual FoxPro Library

Publicado por Delio Andres Perez delioaperez@gmail.com (33 intervenciones) el 09/07/2012 06:21:06
Realice un programa ejecutable con Visual FoxPro 9.0 y cuando lo USO en mi computadora que tiene instalado Visual FoxPro 9.0 trabaja perfecto pero cuando lo voy a correr en otra computadora me sale un aviso así: CANNOT LOCATE THE MICROSOFT VISUAL FOXPRO LIBRARY, que programas o librerías debo cargar del Visual FOXPRO 9.0 para que este corra en cualquier computadora. Gracias.
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder

Microsoft Visual FoxPro Library

Publicado por Juan Manuel Cruz juanmcruz@hotmail.com (508 intervenciones) el 09/07/2012 11:39:59
Los programas VFP necesitan una serie de librerías para funcionar. Estas deben estar instaladas y registradas en el sistema operativo, o presentes en la carpeta del ejecutable en cuestión.

Tienes tres opciones, la cutre, la normal y la mejor.

La cutre: buscarte a mano los archivos de librería y copiarlos a la carpeta donde reside el ejecutable. Son VFP9?.dll, VFP9ENU.dll, VFP9Resn.dll entre otros.

La normal: descargar los runtime desde la web de Microsoft. Son VFP9SP0RT y VFP9SP2RT (9 a secas y 9SP2 respectivamente) e instalarlos en cada PC.

La mejor: crear un instalador usando el InstallShield que trae VFP. Así te aseguras que se instalan librerías, el ejecutable, y otros componentes como activeX que pueda usar el programa y que se te pasan por alto normalmente.

Una recomendación: este tema ya ha sido debatido muchas veces a lo largo de los años. Intenta siempre buscar en el histórico antes.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

Microsoft Visual FoxPro Library

Publicado por neo (1601 intervenciones) el 09/07/2012 18:11:57
Ya hasta me los se de memoria....

revisa este link:

te dice cuales debes tener y con opcion descarga :
http://www.foxpert.com/runtime.htm


Saludos!
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar